# Class HistoryController

## Index

### Methods

- debugInfo
- disable
- enable
- setHashValues

### Properties

- disabled
- logger
- ID

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### setHashValues

- setHashValues(values: Record<string, any>): void

- - Defined in controllers/HistoryController.ts :102

  #### Parameters

  - ##### values: Record<string, any>

  #### Returns void

## Properties

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Constructors

### constructor

- new HistoryController(element: HTMLElement, window: Window, queryStateModel: QueryStateModel, queryController: QueryController, usageAnalytics?: IAnalyticsClient): HistoryController

- - Defined in controllers/HistoryController.ts :34

  #### Parameters

  - ##### element: HTMLElement

  - ##### window: Window

  - ##### queryStateModel: QueryStateModel

  - ##### queryController: QueryController

  - ##### Optional usageAnalytics: IAnalyticsClient

  #### Returns HistoryController

### Hierarchy

- RootComponent

### Implements

- IHistoryManager